View Issue Details

IDProjectCategoryView StatusLast Update
0002976Ham Radio DeluxeBugpublic2019-11-07 05:35
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.132 
Target VersionFixed in Version6.5.0.196 
Summary0002976: Rig Control: FTDX 3000 Slider "54: CW Pitch" reads correct values but doesn't set values
DescriptionThe corresponding slider in Rig Control doesn't correctly manipulate the "Pitch" setting when connected to an FTDX 3000 radio.
Steps To Reproduce1) Fire up Rig Control
2) Connect to the FTDX 3000
3) Customize the slider view to include the " " slider
4) Set the radio to show this same parameter in the menu
5) Work the slider

BUG#1) When Rig Control shows "Disable", the radio shows "ON". When Rig Control shows "Enable" the radio shows "OFF".
TagsFTDX-3000, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2018-12-12 09:04

administrator   ~0006584

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4545

WA9PIE

2019-01-09 13:33

administrator   ~0006917

Corrected apparent typo in Summary ("piich).

WA9PIE

2019-01-09 13:58

administrator   ~0006920

User feedback:

Name wrong must be CW PITCH. TRX shows 450Hz, in rig control 1050. Wrong steps: 300Hz on TRX and slider the same. this is also the smallest value. one step up on the trx to 310 Hz shows 350 Hz in rig control.320 on trx 400 Hz in rig control etc

the values are wrong. the smallest value to set on trx is 300. rc shows that also. one step up on trx is 310, rc shows 350. 320 on trx shows 400 in rc. 330 on trx 450 in rc and so on.

but the slider is working, only showing the wrong values

WA9PIE

2019-01-09 13:58

administrator   ~0006921

Failed this one based on user feedback

K7ZCZ

2019-01-10 11:37

administrator   ~0006945

I don't think using all-caps names for labels is appropriate. I'll leave "054 Pitch" instead of the suggested "CW PITCH". But we should embark on a discussion about how to name, identify, represent, and implement radio controls and features in a consistent manner throughout the product.

The range issue with the setting is fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4684

WA9PIE

2019-01-11 09:32

administrator   ~0006957

Ok... here's what I think regarding the naming convention for these labels.

We should use exactly what's in the rig's operating manual for the given label. This makes it easy for the user to find and understand the control in Ham Radio Deluxe.

We should use <menu number: ><menu name in "proper case">. ["Proper case" capitalizing the first letter of words that are not acronyms.] So in this case, this menu item would properly be - "54: CW Pitch". This maps exactly to the manual's repeated references for this control.

54 CW Pitch.PNG (18,225 bytes)
54 CW Pitch.PNG (18,225 bytes)

WA9PIE

2019-01-11 09:33

administrator   ~0006958

Sending this one back for final revision to the label ("54: CW Pitch").

K7ZCZ

2019-01-12 14:36

administrator   ~0006980

The decision made in the conference call was reverted in a chat conversation, and this issue now includes renaming the slider title.
This check in performs the rename:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4711

WA9PIE

2019-01-14 11:59

administrator   ~0006992

Validated by customer

Issue History

Date Modified Username Field Change
2018-12-11 06:23 K7ZCZ New Issue
2018-12-11 06:29 K7ZCZ Tag Attached: FTDX-3000
2018-12-11 06:29 K7ZCZ Tag Attached: Yaesu
2018-12-12 09:04 K7ZCZ Assigned To => K7ZCZ
2018-12-12 09:04 K7ZCZ Status new => resolved
2018-12-12 09:04 K7ZCZ Resolution open => fixed
2018-12-12 09:04 K7ZCZ Note Added: 0006584
2018-12-14 17:18 K7ZCZ Fixed in Version => 6.5.0.137
2018-12-14 17:18 K7ZCZ Description Updated View Revisions
2019-01-09 13:33 WA9PIE Summary Rig Control: FTDX 3000 Slider "54: Piich" reads correct values but doesn't set values => Rig Control: FTDX 3000 Slider "54: Pitch" reads correct values but doesn't set values
2019-01-09 13:33 WA9PIE Note Added: 0006917
2019-01-09 13:58 WA9PIE Note Added: 0006920
2019-01-09 13:58 WA9PIE Status resolved => feedback
2019-01-09 13:58 WA9PIE Resolution fixed => reopened
2019-01-09 13:58 WA9PIE Summary Rig Control: FTDX 3000 Slider "54: Pitch" reads correct values but doesn't set values => Rig Control: FTDX 3000 Slider "54: CW Pitch" reads correct values but doesn't set values
2019-01-09 13:58 WA9PIE Testing Not Started => Beta Failed
2019-01-09 13:58 WA9PIE Note Added: 0006921
2019-01-10 11:37 K7ZCZ Status feedback => resolved
2019-01-10 11:37 K7ZCZ Resolution reopened => fixed
2019-01-10 11:37 K7ZCZ Note Added: 0006945
2019-01-11 09:32 WA9PIE File Added: 54 CW Pitch.PNG
2019-01-11 09:32 WA9PIE Note Added: 0006957
2019-01-11 09:33 WA9PIE Status resolved => feedback
2019-01-11 09:33 WA9PIE Resolution fixed => reopened
2019-01-11 09:33 WA9PIE Note Added: 0006958
2019-01-12 14:36 K7ZCZ Status feedback => resolved
2019-01-12 14:36 K7ZCZ Resolution reopened => fixed
2019-01-12 14:36 K7ZCZ Note Added: 0006980
2019-01-14 11:59 WA9PIE Status resolved => closed
2019-01-14 11:59 WA9PIE Testing Beta Failed => Beta Successful
2019-01-14 11:59 WA9PIE Note Added: 0006992
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.137 => 6.5.0.183
2019-01-16 22:05 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-11-07 05:35 WA9PIE Fixed in Version 6.5.0.183 => 6.5.0.196